Skip Menu |
 

This queue is for tickets about the Compress-Raw-Lzma CPAN distribution.

Report information
The Basics
Id: 120273
Status: resolved
Priority: 0/
Queue: Compress-Raw-Lzma

People
Owner: Nobody in particular
Requestors: EDWARDF [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Missing lzma.h Distribution File
Download (untitled) / with headers
text/plain 895b
Hi, I am unable to install Compress::Raw::Lzma 2.069 due to a missing lzma.h file. I can see it included in Lzma.xs #L18 but is missing in the distribution. This is the error I'm getting: Running Mkbootstrap for Compress::Raw::Lzma () chmod 644 "Lzma.bs" "/opt/perl516_dev/bin/perl" "/opt/perl516_dev/lib/site_perl/5.16.3/ExtUtils/xsubpp" -typemap "/opt/perl516_dev/lib/5.16.3/ExtUtils/typemap" -typemap "typemap" Lzma.xs > Lzma.xsc && mv Lzma.xsc Lzma.c cc -c -I/usr/local/include -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -DVERSION=\"2.069\" -DXS_VERSION=\"2.069\" -fPIC "-I/opt/perl516_dev/lib/5.16.3/x86_64-linux/CORE" Lzma.c Lzma.xs:18:19: fatal error: lzma.h: No such file or directory compilation terminated. make: *** [Lzma.o] Error 1 Is there any dependencies I need to download first? Many Thanks, Ed
Download (untitled) / with headers
text/plain 1.4k
On Thu Feb 16 09:27:46 2017, EDWARDF wrote: Show quoted text
> Hi, > > I am unable to install Compress::Raw::Lzma 2.069 due to a missing > lzma.h file. I can see it included in Lzma.xs #L18 but is missing in > the distribution. > > This is the error I'm getting: > > Running Mkbootstrap for Compress::Raw::Lzma () > chmod 644 "Lzma.bs" > "/opt/perl516_dev/bin/perl" > "/opt/perl516_dev/lib/site_perl/5.16.3/ExtUtils/xsubpp" -typemap > "/opt/perl516_dev/lib/5.16.3/ExtUtils/typemap" -typemap "typemap" > Lzma.xs > Lzma.xsc && mv Lzma.xsc Lzma.c > cc -c -I/usr/local/include -fno-strict-aliasing -pipe -fstack- > protector -I/usr/local/include -D_LARGEFILE_SOURCE > -D_FILE_OFFSET_BITS=64 -O2 -DVERSION=\"2.069\" > -DXS_VERSION=\"2.069\" -fPIC "-I/opt/perl516_dev/lib/5.16.3/x86_64- > linux/CORE" Lzma.c > Lzma.xs:18:19: fatal error: lzma.h: No such file or directory > compilation terminated. > make: *** [Lzma.o] Error 1 > > Is there any dependencies I need to download first?
There are indeed. Below is from the README PREREQUISITES ------------- Before you can build Compress-Raw-Lzma you need to have the following installed on your system: * A C compiler * Perl 5.006 or better. * A copy of liblzma liblzma is part of the XZ Utils which is available at http://tukaani.org/xz/ Next you must edit the file config.in that comes with this distribution. If necessary, change the INCLUDE and LIB variable to the directories where liblzma and the lzma include file are installed.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.